// Type definitions for ag-grid-row-unselectable v10.0.1
// Project: https://github.com/tomli/ag-grid-row-unselectable
// Definitions by: Niall Crosby <https://github.com/ceolter/>
import { Column } from "../entities/column";
import { BeanStub } from "../context/beanStub";
export declare class ColumnHoverService extends BeanStub {
    private eventService;
    private currentlySelectedColumn;
    private init();
    private onCellMouseOver(cellEvent);
    private onCellMouseOut();
    isHovered(column: Column): boolean;
}
